Bug 237674 - pata_pcmcia is loaded before ata_piix during install
pata_pcmcia is loaded before ata_piix during install
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Depends On:
  Show dependency treegraph
Reported: 2007-04-24 13:56 EDT by Orion Poplawski
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-04-24 14:10:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Orion Poplawski 2007-04-24 13:56:57 EDT
Description of problem:

During install, pata_pcmcia is loaded before ata_piix so my ATA PC card becomes /dev/sda and the boot 
disk becomes /dev/sdb.  Can't imagine that this is desired.  Don't know if anaconda or the kernel controls 
this ordering, so I'm filing against anaconda initially.

Version-Release number of selected component (if applicable):
Comment 1 Jeremy Katz 2007-04-24 14:10:25 EDT
It's largely based on things like where on the PCI bus controllers are.  We've
got a hack to push some things to the end; I'll add pata_pcmcia to that list.  I
will then proceed to beat my head against the desk :-)

Thanks for the report :)  This'll be in post-test4
Comment 2 Orion Poplawski 2007-06-06 15:24:37 EDT
  Can we get something into anaconda to force a particular module to load first?
 I've got a disk server with 3 different controllers (ata_piix, sata_promise,
and sata_mv in this case) and really need force ata_piix to load first as that
holds to boot disks in order to do reliable automated upgrades and installs.

Note You need to log in before you can comment on or make changes to this bug.